Execute action
curl --request POST \
--url https://admin.devmain.flowxai.dev/onboarding/api/runtime/process/{processUuid}/token/{tokenUuid}/ui-action/{uiActionFlowxUuid}/context/main/execute \
--header 'Authorization: <authorization>'import requests
url = "https://admin.devmain.flowxai.dev/onboarding/api/runtime/process/{processUuid}/token/{tokenUuid}/ui-action/{uiActionFlowxUuid}/context/main/execute"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://admin.devmain.flowxai.dev/onboarding/api/runtime/process/{processUuid}/token/{tokenUuid}/ui-action/{uiActionFlowxUuid}/context/main/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokenUuid": "<string>",
"currentNodeId": 123,
"templatesSequence": null,
"backAction": true,
"resetToken": true
}Execute action
This endpoint executes an action within a specific process runtime.
POST
/
onboarding
/
api
/
runtime
/
process
/
{processUuid}
/
token
/
{tokenUuid}
/
ui-action
/
{uiActionFlowxUuid}
/
context
/
main
/
execute
Execute action
Base URL
- Always prepend the endpoint with the correct Base URL.
- For different environments (like staging or production), switch the base URL accordingly.
Request Headers
Bearer token required for authentication. Format:
Bearer <token>.Path Parameters
The unique identifier of the process instance.
The unique identifier of the runtime token.
The unique identifier of the UI action to execute.
Response fields
The unique identifier of the token associated with the process.
The ID of the current node in the process execution flow.
Reserved for future use. Currently always
null.Indicates whether a back action is triggered. Default is
false.Indicates whether the token should be reset. Default is
false.Last modified on February 18, 2025
Was this page helpful?
⌘I

